ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
ad_campaign_manager_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| common_view (&$Options)
| controller (&$Options)
| view (&$Options)

## Data Fields
| $Output
| $AdCampaignAccess = false
| $AdBannerAccess = false
| $CachedMultyFS = false
| $String = false
| $UserAlgorithms = false

## Detailed Description

This class provides component visualisation routine.

Author
  Dodonov A.A.

Definition at line 26 of file ad_campaign_manager.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Author
  Dodonov A.A.

Definition at line 66 of file ad_campaign_manager.php.

{
try
{
$this->AdCampaignAccess = get_package( 'ad::ad_campaign::ad_campaign_access' , 'last' , __FILE__ );
$this->AdBannerAccess = get_package( 'ad::ad_banner::ad_banner_access' , 'last' , __FILE__ );
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$this->String = get_package( 'string' , 'last' , __FILE__ );
$this->UserAlgorithms = get_package( 'user::user_algorithms' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

common_view | ( | & | $Options | ) |

Function draws component.

Parameters

  $Options | - Settings.

Returns
  HTML code of the компонента.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 194 of file ad_campaign_manager.php.

{
try
{
list( $Campaigns , $Banners ) = $this->get_campaigns_and_banners();
if( isset( $Campaigns[ 0 ] ) )
{
foreach( $Campaigns as $i => $Campaign )
{
$this->compile_campaign( $Campaign , $Banners );
}
$Template = $this->CachedMultyFS->get_template( __FILE__ , 'campaigns_list.tpl' );
$this->Output = str_replace( '{output}' , $this->Output , $Template );
}
else
{
$this->Output = $this->CachedMultyFS->get_template( __FILE__ , 'ad_campaign_no_data_found.tpl' );
}
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

controller | ( | & | $Options | ) |

Function controls component.

Parameters

  $Options | - Settings.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 240 of file ad_campaign_manager.php.

{
try
{
$ContextSet = get_package_object( 'gui::context_set' , 'last' , __FILE__ );
$ContextSet->execute( $Options , $this , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

view | ( | & | $Options | ) |

Function draws component.

Parameters

  $Options | - Settings.

Returns
  HTML code of the компонента.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 276 of file ad_campaign_manager.php.

{
try
{
$ContextSet = get_package_object( 'gui::context_set' , 'last' , __FILE__ );
$ContextSet->add_context( dirname( __FILE__ ).'/conf/cfcxs_list_ad_campaign_form' );
$ContextSet->execute( $Options , $this , __FILE__ );
return( $this->Output );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$AdBannerAccess = false

Definition at line 51 of file ad_campaign_manager.php.

$AdCampaignAccess = false

Cached objects.

Author
  Dodonov A.A.

Definition at line 50 of file ad_campaign_manager.php.

$CachedMultyFS = false

Definition at line 52 of file ad_campaign_manager.php.

$Output

Display function's result.

Author
  Dodonov A.A.

Definition at line 38 of file ad_campaign_manager.php.

$String = false

Definition at line 53 of file ad_campaign_manager.php.

$UserAlgorithms = false

Definition at line 54 of file ad_campaign_manager.php.

The documentation for this class was generated from the following file:

- packages/ad/packages/ad_campaign/packages/ad_campaign_manager/ad_campaign_manager.php